module MagicResource
  module Generators
    class InstallGenerator < Rails::Generators::Base
      desc 'Copy MagicResource default files'
      source_root File.expand_path('../templates', __FILE__)

      def copy_initializer
        template 'magic-resource.rb', 'config/initializers/magic-resource.rb'
      end

      def copy_locales
        directory 'config/locales'
      end

    end
  end
end
