module MagicResource
  class PathWithHttpVerb < String
    attr_reader :http_verb

    def initialize(http_verb, path)
      @http_verb = http_verb.kind_of?(self.class) ?
        http_verb.http_verb :
        http_verb.source.scan(/\w+/).first.try(:downcase).try(:to_sym)

      super(path)
    end
  end
end
